/**
 * PAGINATION
 *
*/
.rtds-pagination {
    padding: var(--spacing-2);
    display: flex;
}
.rtds-pagination__list {
    flex-wrap: wrap;
    display: flex;
    gap: var(--spacing-2);
}
.rtds-pagination__link {
    height: var(--spacing-7);
    display: flex;
    justify-content: center;
    align-items: center;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}
@media (min-width: 768px) {
    .rtds-pagination__link {
        height: var(--spacing-8);
    }
}
.rtds-pagination__link-button {
    width: var(--spacing-7);
    border-radius: 0.25rem;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
        border-color: var(--color-border-gray-01);
    border-width: 1px;
}
.rtds-pagination__link-button:hover {
        background-color: var(--color-background-02);
    }
@media (min-width: 768px) {
    .rtds-pagination__link-button {
        width: var(--spacing-8);
    }
}
.rtds-pagination__link-text {
    font-size: var(--fontsize-text-xs);
    font-weight: 500;
}
.rtds-pagination__link-text:hover {
    text-decoration-line: underline;
}
@media (min-width: 768px) {
    .rtds-pagination__link-text {
        font-size: var(--fontsize-text-sm);
    }
}
.rtds-pagination--rounded .rtds-pagination__link-button {
    border-radius: 9999px;
}
.rtds-pagination-wrapper {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        gap: var(--spacing-4);
    }
.rtds-pagination-wrapper--centered {
        justify-content: center;
    }
:where(.rtds-pagination__link)[aria-disabled="true"] {
        color: var(--color-content-disabled);
        background-color: var(--color-background-02);
        border-color: var(--color-background-03);
        cursor: default;
        pointer-events: none;
    }
.rtds-pagination__total {
        font-size: var(--fontsize-text-sm);
        color: var(--color-content-03);
        align-self: center;
        margin: 0;
        padding: var(--spacing-2);
    }
.rtds-pagination-per-page {
        display: flex;
        align-items: center;
        gap: var(--spacing-2);
    }
